qt5base-lts/tests/manual/wasm/shared/run.sh
Mikolaj Boc d846ea423d Add a manual test for wasm window resizing/moving
This tests resizing and moving in various setups. The test driver
communicates with the actual modules to assert various
postconditions.

It's semi-automated so that minimum interaction is required.

Change-Id: I745d689c6ffa6aa6d478b795dd433f5b067241f1
Reviewed-by: Lorn Potter <lorn.potter@gmail.com>
2023-02-14 17:48:09 +01:00

31 lines
611 B
Bash
Executable File

#! /bin/bash
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only
set -m
function removeServer()
{
kill $cleanupPid
}
if [ -z "$1"]
then
echo "Usage: $0 testname, where testname is a test in the tests/manual/wasm directory" >&2
exit 1
fi
trap removeServer EXIT
script_dir=`dirname ${BASH_SOURCE[0]}`
cd "$script_dir/../../../../"
python3 util/wasm/qtwasmserver/qtwasmserver.py -p 8001 &
cleanupPid=$!
cd -
python3 -m webbrowser "http://localhost:8001/tests/manual/wasm/$1/tst_$1.html"
echo 'Press any key to continue...' >&2
read -n 1